256
20
0
0
8000
pmars -s 8000 -p 8000 -c 80000 -l 100 -d 100 -b -r 20
mov mov mov mov mov mov spl spl spl spl spl djn djn dat add sub mul div mod sne seq slt jmn jmz jmp
25
.i .i .i .a .a .b .b .x .f .ab.ba
11
$ $ $ # @ * < > { }
10
.005
.007
.01
.03
.03
.05
.02
.1
.5

Little Corewar Evolver v0.8 INI file...

Don't change formatting of the entries, INI read is very very simple.
Most parms are not validated, if wrong it'll create bad code or crash.

Explanation of INI file entries... (nominal values in parenthesis)
Line 1 - soup size (256) must be > range and <= 5000
Line 2 - maximum warrior length (20) must be <= 500 and <= max length in pmars
Line 3 - battle selection range (0) how far apart in soup, < soup size
 If range is 0 then uses grid topology, otherwise uses ring topology
Line 4 - enable start spl (0) if 0 pure random if 1 start with spl $0,$0
Line 5 - core size for big numbers (8000)
Line 6 - pmars command line, default is set for coresize 8000...
pmars -s 8000 -p 8000 -c 80000 -l 100 -d 100 -b -r 20
 First two characters of the command on line 6 must be "pm" (any case)
Line 7 - weighted list of base instructions, default...
mov mov mov mov mov mov spl spl spl spl spl djn djn dat add sub mul div mod sne seq slt jmn jmz jmp
Line 8 - number of items in instruction list (25)
Line 9 - list of instruction modifiers (.i .i .i .a .a .b .b .x .f .ab.ba)
 Last modifier must be 3-char field or specify an extra character, as in .i .a .b .f .
 For '88 style instructions specify 88 on line 9 (line 10 ignored, assumed 1 of "   ")
 Note - for true-88 limit to "$ # @ <" and "mov spl djn jmp jmn jmz cmp slt add sub dat"
Line 10 - number of items in modifier list (11)
Line 11 - list of addressing modes ($ $ $ # @ * < > { })
Line 12 - number of items in mode list (10)
Line 13 - chance of inserting a new line (.005)
Line 14 - chance of deleting a line (.007)
Line 15 - chance of changing a base instruction (.01)
Line 16 - chance of changing an instruction modifier (.03)
Line 17 - chance of changing an address mode (.03)
Line 18 - chance of randomly changing a data field (.05)
Line 19 - chance of incrementing or decrementing a data field (.02)
Line 20 - if line inserted, chance of duplicate of previous line (.1)
Line 21 - if data is changed randomly, chance of a +/- small number (.5)

(end of LCE8.ini file)
